#version 420 core
layout (location = 0) in vec3 pos;

out vec3 TexCoords;

layout(std140, binding = 0) uniform Camera
{
    mat4 projection;
    mat4 view;
    vec3 position;
} camera;

void main()
{
    TexCoords = pos;
    gl_Position = camera.projection * mat4(mat3(camera.view)) * vec4(pos, 1.0);
}  